2019-10-21 17:26 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001083FSSCPmultiplayerpublic2007-10-15 07:18
Reportermartellato 
Assigned Totaylor 
PrioritynormalSeveritymajorReproducibilityunable to reproduce
StatusresolvedResolutionfixed 
PlatformPCOSWindows XP ProfessionalOS VersionSP2
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001083: standalone overwhelms FS2NetD server with pings
DescriptionMy multi.log indicates that at one point ("10/02 06:57:21~") my standalone game began to flood the FS2NetD server with several PINGs per second. Afterwards, my server's connection with FS2NetD was lost.

Steps To ReproduceReproducing seems difficult (perhaps this is a good thing). I've run a standalone 4 subsequent times since this issue, each time for several hours. I have not had this happen a 2nd time.
Additional Information-From 06:57:21 to 06:57:28 I sent 132 ping requests
-From 06:57:28 to 06:57:34 I received 103 pong replies, and no pongs afterwards
-It appears that this massive pinging either disconnected me from FS2NetD, or crashed FS2NetD all together.
-I wasn't doing anything funky - I don't even believe I was at the computer at the time.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0006799

martellato (reporter)

Last edited: 2006-10-04 19:46

Whoops, meant to mention my command line:
fs2_open_3_6_9_rc7dot8.exe -standalone -multilog

edited on: 10-04-06 19:46

~0006800

taylor (administrator)

Though I have no idea why it would ping so much, the server was restarted about that time in order to restore some config information. A quick look at the server logs and the times are close enough to be considered a match. However, the server did not process those pings that were sent, at least no according to the client logs on the server.

A ping should only be sent every 30 seconds, and a timer should prevent it from happening any sooner than that. The burst of pongs make sense as those could have been stored up and quite a few pong packets may be evaluated each frame.

Hopefully the new code I'm working on will make this not happen (since it will detect that contact with the server was lost and attempt to reset the connection), but I'll leave this bug open for a while and see what happens. If you see this again let me know. When there is a test build available for the new code I'll send you a link.

~0006946

taylor (administrator)

Just marking as feedback those bugs which should either be fixed in the next available build from me, or need to be tested as fixed in the next available build.

(There are so many new bugs right now, it's easier for me to keep up with the fixed or almost-fixed bugs this way.)

~0008569

taylor (administrator)

I'm just going to assume that this is fixed in the new code (which just hit CVS). If you are able to recreate it with a new build then please reopen this bug and I'll take another look at it.

~0008570

taylor (administrator)

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2006-10-04 19:39 martellato New Issue
2006-10-04 19:39 martellato File Added: Martellato - multi (dot8) October 1st-2nd 2006.zip
2006-10-04 19:45 martellato Note Added: 0006799
2006-10-04 19:46 martellato Note Edited: 0006799
2006-10-04 22:53 taylor Note Added: 0006800
2006-10-21 00:30 taylor Note Added: 0006946
2006-10-21 00:30 taylor Status assigned => feedback
2007-10-15 07:18 taylor Note Added: 0008569
2007-10-15 07:18 taylor Status feedback => resolved
2007-10-15 07:18 taylor Fixed in Version => 3.6.10
2007-10-15 07:18 taylor Resolution open => fixed
2007-10-15 07:18 taylor Note Added: 0008570
+Issue History